package com.oo.eye.activity;

import android.content.Intent;
import android.os.Handler;
import android.view.View;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;

import com.app.baselibrary.base.common.BaseActivity;
import com.app.baselibrary.commonUtil.BDttsUtils;
import com.oo.eye.R;
import com.oo.eye.R2;

import butterknife.BindView;
import butterknife.OnClick;


/**
 */

public class BeforeEyeTestActivity extends BaseActivity {

    @BindView(R.id.ll_before_eye_start1)
    RelativeLayout mLlBeforeEyeStart1;
    @BindView(R.id.ll_before_eye_prepare1)
    LinearLayout mLlBeforeEyePrepare1;

    private Handler mHandler;

    @Override
    protected int getLayoutId() {
        return R.layout.activity_before_eye_test;
    }

    @Override
    protected void init() {
        mHandler = new Handler();
    }


    @OnClick(R2.id.tv_eye_test_start1)
    public void click(View view) {
        mLlBeforeEyeStart1.setVisibility(View.GONE);
        mLlBeforeEyePrepare1.setVisibility(View.VISIBLE);
		Intent intent2 = new Intent(BeforeEyeTestActivity.this,EyeTestActivity.class);
        intent2.putExtra("isTemporary",getIntent().getBooleanExtra("isTemporary",false));
		startActivity(intent2);
		finish();
    }

    private void speak(String text) {
        BDttsUtils.getInstance().speak(text);
    }


}
